# Uses of Enum Class
org.springframework.expression.spel.SpelCompilerMode

Packages that use SpelCompilerMode
Package
Description
org.springframework.expression.spel
SpEL's central implementation package.

## Uses of SpelCompilerMode in org.springframework.expression.spel

Methods in org.springframework.expression.spel that return SpelCompilerMode
Modifier and Type
Method
Description
`SpelCompilerMode`
SpelParserConfiguration.`getCompilerMode()`
Return the compiler mode for parsers using this configuration object.
`static SpelCompilerMode`
SpelCompilerMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpelCompilerMode[]`
SpelCompilerMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.springframework.expression.spel with parameters of type SpelCompilerMode
Modifier
Constructor
Description
``
`SpelParserConfiguration(SpelCompilerMode compilerMode, ClassLoader compilerClassLoader)`
Create a new `SpelParserConfiguration` instance.
``
`SpelParserConfiguration(SpelCompilerMode compilerMode, ClassLoader compilerClassLoader, boolean autoGrowNullReferences, boolean autoGrowCollections, int maximumAutoGrowSize)`
Create a new `SpelParserConfiguration` instance.
``
`SpelParserConfiguration(SpelCompilerMode compilerMode, ClassLoader compilerClassLoader, boolean autoGrowNullReferences, boolean autoGrowCollections, int maximumAutoGrowSize, int maximumExpressionLength)`
Create a new `SpelParserConfiguration` instance.
``
`SpelParserConfiguration(SpelCompilerMode compilerMode, ClassLoader compilerClassLoader, boolean autoGrowNullReferences, boolean autoGrowCollections, int maximumAutoGrowSize, int maximumExpressionLength, int maximumOperations)`
Create a new `SpelParserConfiguration` instance.